Skip to main content

Interface: ThemeContextBundle

Extends​

  • ThemeContextBase

Properties​

activation?​

optional activation?: ActivationData

The Activation that is currently active.

Inherited from​

ThemeContextBase.activation


applicationKey​

applicationKey: string

Inherited from​

ThemeContextBase.applicationKey


bundleOptions​

bundleOptions: ThemeContextBundleOptions


configuration​

configuration: ThemeInstallConfigurationResource

The configuration provided by the Integration.

Inherited from​

ThemeContextBase.configuration


container​

container: HTMLElement

The HTML element to render your Spiff theme into.

Inherited from​

ThemeContextBase.container


currency?​

optional currency?: string

The ISO 4217 currency code to present prices in.

Inherited from​

ThemeContextBase.currency


embedMode?​

optional embedMode?: boolean

Whether the iframe is embedded into the main page content or displayed in a modal.

Inherited from​

ThemeContextBase.embedMode


queryParams?​

optional queryParams?: object

Query parameters that were passed to editor which have been passed through to the theme.

Index Signature​

[key: string]: string

Inherited from​

ThemeContextBase.queryParams


type​

type: "bundle"